كوالا ، أداة جيدة للمطورين

لقطة شاشة كوالا

حقًا في Ubuntu و Gnu / Linux ، هناك عدد قليل من الأدوات للمطورين ، لكن القليل منها موجود بأغلبية ساحقة حسن. لدينا حالة نتبيانس, نص سامية, بين قوسين, كسوف والعديد من الآخرين ، ولكن حتى الآن استخدام المعالجات كانت محدودة للغاية. في حين أنه من الصحيح أن لدينا العديد من المحررين الذين يمكنهم إنشاء ملفات للمعالجات الأولية ، إلا أنه لا توجد العديد من الأدوات التي تسمح لنا برؤية التعديلات في الوقت الفعلي ، أي لنكون قادرين على تجميع مسبق تلك الملفات لتفريغها لاحقًا في ملف css. الكوال دب أسترالي إنها إحدى تلك الأدوات القليلة التي تسمح لنا باستخدام المعالجات الأولية ومعرفة ما نقوم بإنشائه في الوقت الفعلي.

ما هي الأدوات الموجودة للمعالجة المسبقة؟

إذا كنت تعرف كيفية استخدام المعالجات الأولية ، فستعرف بالفعل بعض الأدوات المفيدة جدًا للعمل مع المعالجات الأولية. أفضل ما في الأمر هو كودكيت، للأسف هو أنه يعمل فقط لنظام التشغيل Mac OS. Codekit ليس فقط الأفضل ولكنه أيضًا نموذج لبقية الأدوات. حاليًا ، تم إصدار أداة لنظام التشغيل Windows قادرة على التغلب على المشكلة كودكيت، اسمه بريبروس، ولكن هذه الأداة تبرز فقط لأنها تذهب إلى حيث لا تذهب كودكيت. بالنسبة إلى عالم Gnu / Linux و Ubuntu ، فإن الأداة الأكثر تشابهًا مع هذه هي الكوال دب أسترالي، برنامج قوي إلى حد ما يشبه Codekit و Prepros، من حيث الواجهة.

ماذا تقدم كوالا؟

يوفر لنا Koala إمكانية استخدام المعالجات الأولية ، و less ، و Sass ، و CofeeScript ، و Compass Framework. تم العثور على لغة الكوالا بعدة لغات ، بما في ذلك الإسبانية ، وهي تتيح لنا تصغير الكود الخاص بنا ، كلاً من css وجافا سكريبت. مشروع الكوال دب أسترالي موجود في Github ، حيث بالإضافة إلى العثور على ملفات التثبيت ، نجد دليلًا رائعًا للتثبيت الكوال دب أستراليوإصلاح المشاكل الموجودة وتهيئة مشاريعنا. مشروع الكوال دب أسترالي هو مفتوح المصدر ، لذلك لا نحتاج إلى دفع أي ترخيص ، على الرغم من أنه من الجيد التبرع ، حيث يتم تنفيذ المشروع بإيثار ولكن الويب أو الوقت أو الاختبارات هم ليسوا أحرار في العادة.

تركيب كوالا

لتتمكن من التثبيت الكوال دب أسترالي وأنه يعمل في Ubuntu الخاص بنا ، نحتاج أولاً إلى فتح Terminal وكتابة ما يلي:

sudo apt-get install ruby

سيؤدي هذا إلى تثبيت Ruby على جهاز الكمبيوتر الخاص بنا ، وليس من الضروري أن يعمل Koala ولكن لكي يعمل Sass ، لذلك يُنصح بتثبيته أولاً. بمجرد تثبيته سنفعل الموقع الرسمي ونقوم بتنزيل الحزمة المقابلة لإصدارنا من Ubuntu (32 بت أو 64 بت). بمجرد تثبيته ، نفتحه وقد يحدث أنه لا يفتح ؛ يبدو أن هناك مشاكل مع بعض أنظمة Gnu / Linux ، في حالتي ، على سبيل المثال ، لدي Ubuntu Gnome 13.10 تحديث ولم أتمكن من فتحه في المرة الأولى ، لحلها ، نفتح المحطة ونذهب إلى

cd / lib / i386-linux-gnu إذا كان لديك 32 بت

cd / lib / x86_64-linux-gnu إذا كان لديك 64 بت

مرة هناك كتبنا

sudo ln -s libudev.so.1 libudev.so.0

قد لا يخبرنا أن الملف غير موجود ، لذلك نقوم بتثبيت الملف libudev0 ثم نكرر الإجراء الأخير. بعد هذا سيكون لدينا الكوال دب أسترالي يعمل بشكل مثالي وجاهز لاستخدام المعالجات المسبقة. هل يقدم أي شخص آخر؟


محتوى المقال يلتزم بمبادئنا أخلاقيات التحرير. للإبلاغ عن خطأ انقر فوق هنا.

6 تعليقات ، اترك لك

اترك تعليقك

لن يتم نشر عنوان بريدك الإلكتروني. الحقول الإلزامية مشار إليها ب *

*

*

  1. المسؤول عن البيانات: ميغيل أنخيل جاتون
  2. الغرض من البيانات: التحكم في الرسائل الاقتحامية ، وإدارة التعليقات.
  3. الشرعية: موافقتك
  4. توصيل البيانات: لن يتم إرسال البيانات إلى أطراف ثالثة إلا بموجب التزام قانوني.
  5. تخزين البيانات: قاعدة البيانات التي تستضيفها شركة Occentus Networks (الاتحاد الأوروبي)
  6. الحقوق: يمكنك في أي وقت تقييد معلوماتك واستعادتها وحذفها.

  1.   مارلون قال

    شكرا يا صديقي الخطأ كان مفيدا جدا

  2.   أوسكار قال

    لدي 4 ساعات في محاولة تثبيت Koala من خلال تعليمات الموقع الرسمي وعلى الرغم من أنه أظهر لي في قائمة ubuntu الخاص بي ، إلا أنه لا يمكن تنفيذه بشكل صحيح ، ولم يفتح واجهة Koala ، مع هذه الخطوات البسيطة والبسيطة التي يمكنني فعلها بالفعل تشغيل كوالا كما ينبغي. شكرا !

  3.   فابيان قال

    سأقوم بتنزيله وتجربته ، يبدو أنه تطبيق جيد جدًا

  4.   الشغل قال

    لقد مضى وقت طويل على هذا المنشور ونحن بالفعل على 18.4 لترًا ، لكي يفتح Koala (لأنه يستمر مع نفس الفشل ، لم يفتح) عليك تثبيت:

    sudo apt -y install libgconf2-4

    كما أوضح Dusha Kucher في منشور حول هذا الخطأ. لقد قمت بتثبيته وعملت.

  5.   خورخي سييرا قال

    لا أريد تشغيل البرنامج على debian 10 ، فأنا أقوم بتشغيل sudo ln -s libudev.so.1 libudev.so.0 وأدركت أنه فشل في إنشاء رابط رمزي 'libudev.so.0' الملف موجود بالفعل .

  6.   سيرجيو قال

    مرحبًا أيها الأصدقاء ، لقد واجهت نفس المشكلة ، لقد قمت بتثبيت Koala عن طريق تنزيله من الموقع الرسمي (الإصدار 64 بت من deb) ولم يفتح البرنامج ، لقد قمت بتثبيته من مدير الحزم أو Synaptic (لأنه أخبرني في الجهاز الطرفي أن الحزمة لم تكن موجودة) libgconf2-4 و voila ، الآن إذا كان Koala يعمل على Ubuntu 20.04 بت.